<?php

namespace App\Http\Resources;

use App\Models\Service;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class BarberServices extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = \request()->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('wrong token'), 'code' => 401]);
        }
        $service = Service::find($this->id);
        return [
            'id'=>$this->id,
            'name'=>$this->name[$lang],
            'price'=>$this->price,
            'duration'=>$this->duration,
            'image'=>$this->image ? asset('images/services/' . $this->image) : '',
            'user_check'=>$user->services->contains($service) ? true : false

        ];
    }
}
