<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration {

	public function up()
	{
		Schema::create('orders', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('user_id')->unsigned();
			$table->string('services_price', 191)->nullable();
			$table->integer('address_id')->unsigned()->nullable();
			$table->integer('barber_id')->unsigned()->nullable();
			$table->text('notes')->nullable();
			$table->enum('payment_type', array('visa', 'cash'))->nullable();
			$table->string('discount_code', 191)->nullable();
			$table->string('fees', 191)->nullable();
			$table->string('total_price', 191)->nullable();
			$table->string('order_code', 191)->nullable();
			$table->enum('status', array('search', 'barber_accept', 'barber_in_way', 'ongoing', 'finish', 'canceled','in_completed'))->nullable();
		});
	}

	public function down()
	{
		Schema::drop('orders');
	}
}
