@extends('admin.layout.master')
@section('title', "العروض")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">العروض</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">
                @include('admin.layout.message')

                <h4 class="header-title">العروض</h4>
                <p class="sub-header">
                    <a href="{{route('offers.create')}}">
                        <button class="btn btn-success">
                            إنشاء جديد
                        </button>
                    </a>
                </p>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الوصف بالعربيه</th>
                        <th>الوصف بالانجليزية</th>
                        <th>التخفيص</th>
                        <th>كود الخصم</th>
                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->body['ar']}}</td>
                            <td>{{$row->body['en']}}</td>
                            <td>{{$row->discount}}</td>
                            <td>{{ $row->code }}</td>
                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>
                                <button type="button" class="btn btn-info waves-effect waves-light"
                                        data-toggle="modal" data-target="#edit{{$row->id}}">تعديل
                                </button>


                            </td>


                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('offers.destroy',$row->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->
                            <div id="edit{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">التعديل</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <form method="post" enctype="multipart/form-data"
                                              action="{{route('offers.update',$row->id)}}">
                                            @method("PATCH")
                                            @csrf
                                            <div class="modal-body">
                                                <h5 class="font-16">تعديل البيانات</h5>
                                                <div class="row">
                                                    <div class="form-group col-6">
                                                        <label for="exampleInputEmail1">الوصف باللغة العربية</label>
                                                        <input type="text" class="form-control"
                                                               value="{{$row->body['ar']}}"
                                                               required name="body_ar"
                                                               id="exampleInputEmail1"
                                                               placeholder="الوصف باللغة العربية">
                                                        @if ($errors->has('body_ar'))
                                                            <small
                                                                class="text-danger">{{ $errors->first('body_ar') }}</small>
                                                        @endif
                                                    </div>
                                                    <div class="form-group col-6">
                                                        <label for="exampleInputEmail1">الوصف باللغة الإنجليزية</label>
                                                        <input type="text" class="form-control"
                                                               value="{{$row->body['en']}}"
                                                               required name="body_en"
                                                               id="exampleInputEmail1"
                                                               placeholder="الوصف باللغة الإنجليزية">
                                                        @if ($errors->has('body_en'))
                                                            <small
                                                                class="text-danger">{{ $errors->first('body_en') }}</small>
                                                        @endif
                                                    </div>
                                                    <div class="form-group col-6">
                                                        <label for="exampleInputEmail1">كود الخصم</label>
                                                        <input type="text" class="form-control" value="{{$row->code}}"
                                                               required name="code"
                                                               id="exampleInputEmail1"
                                                               placeholder="كود الخصم">
                                                        @if ($errors->has('code'))
                                                            <small
                                                                class="text-danger">{{ $errors->first('code') }}</small>
                                                        @endif
                                                    </div>

                                                    <div class="form-group col-6">
                                                        <label for="exampleInputEmail1">قيمة التخفيض</label>
                                                        <input type="number" class="form-control"
                                                               value="{{$row->discount}}" required name="discount"
                                                               id="exampleInputEmail1"
                                                               placeholder="قيمة التخفيص">
                                                        @if ($errors->has('discount'))
                                                            <small
                                                                class="text-danger">{{ $errors->first('discount') }}</small>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">

                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-success waves-effect waves-light">تعديل
                                                </button>


                                            </div>
                                        </form>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div><!-- /.modal -->

                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
